Page MenuHomePhabricator

In Visual Editor, caption appears vertically to the left of the image in the infobox
Closed, ResolvedPublic

Description

Take a look at the infobox photo caption in the Visual Editor for this article revision.

Now the cause of this is because the infobox has

| image         = [[File:Frederiack Burnell c.1931 State Library of New South Wales A6961 01.jpg|thumb|]]

which is a common newbie error caused because Commons tells the user to add

[[File:Frederiack Burnell c.1931 State Library of New South Wales A6961 01.jpg|thumb|Frederiack Burnell c.1931 State Library of New South Wales A6961 01]]

without explaining that this doesn't apply in most infoboxes.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2018, 9:54 PM
xSavitar updated the task description. (Show Details)Oct 18 2018, 9:56 PM
matmarex updated the task description. (Show Details)Oct 22 2018, 10:48 PM
matmarex added a subscriber: matmarex.

I only see this issue on Chrome.

This comment was removed by Esanders.
Esanders triaged this task as Low priority.Nov 6 2018, 5:08 PM

The parent contentEdtiable=true changes the word-break behaviour (even though the infobox is ce=false). Think we've seen this before, probably a browser bug but not a big issue.

Change 472009 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Reset styles on ce=false elements

https://gerrit.wikimedia.org/r/472009

The patch will fix renderings in infoboxes and other non-editable areas, but there will continue to be slight rendering differences between read mode and edit mode. I don't really want to change that as there may be a good reason for using word breaking by default in edit mode.

Change 472009 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Reset styles on ce=false elements

https://gerrit.wikimedia.org/r/472009

Change 472064 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (0c776b138)

https://gerrit.wikimedia.org/r/472064

Change 472064 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (a4b936b5e)

https://gerrit.wikimedia.org/r/472064

Ryasmeen edited projects, added Verified; removed Editing QA.Nov 8 2018, 8:34 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
marcella closed this task as Resolved.Nov 19 2018, 7:39 PM
marcella claimed this task.